import { ReactNode } from 'react';

import classNames from 'classnames';

import { SeverityVariant } from '../base';

export { AlertTitle } from './title';
export { AlertIcon } from './icon';

export interface AlertContainerProps {
  variant: SeverityVariant;
  children?: ReactNode;
  className?: string;
}

export function AlertContainer({
  variant,
  children,
  className,
}: AlertContainerProps) {
  return (
    <div
      className={classNames(
        'py-3 px-4 rounded-xl',
        {
          'bg-success-100 text-success-800': variant === 'success',
          'bg-danger-100 text-danger-800': variant === 'danger',
          'bg-warning-100 text-warning-800': variant === 'warning',
          'bg-info-100 text-info-800': variant === 'info',
        },
        className
      )}
      role="alert"
    >
      {children}
    </div>
  );
}
