import classNames from 'classnames';

interface AvatarProps {
  username: string;
  src: string;
  className?: string;
}

export function Avatar({ username, src, className }: AvatarProps) {
  return (
    <img
      alt={`${username}'s Avatar`}
      className={classNames(
        'object-cover object-center w-10 h-10 rounded-full group-focus:ring-2 ring-primary-500',
        className
      )}
      src={src}
    />
  );
}

Avatar.defaultProps = {
  className: null,
};
