import { ReactNode, useContext } from 'react';

import classNames from 'classnames';

import { MediaContext } from './context';

interface MediaBodyProps {
  children?: ReactNode;
  className?: string;
}

export function MediaBody({ children, className }: MediaBodyProps) {
  const { size } = useContext(MediaContext);

  return (
    <div
      className={classNames(
        'flex-1',
        { 'ml-4': size === 'medium', 'ml-6': size === 'large' },
        className
      )}
    >
      {children}
    </div>
  );
}

MediaBody.defaultProps = {
  children: null,
  className: null,
};
