import { ReactNode, useContext } from 'react';

import classNames from 'classnames';

import { MediaContext } from './context';

interface MediaDescProps {
  children?: ReactNode;
  className?: string;
}

export function MediaDesc({ children, className }: MediaDescProps) {
  const { size } = useContext(MediaContext);

  return (
    <div
      className={classNames(
        {
          'mt-2': size === 'medium',
          'mt-3': size === 'large',
        },
        className
      )}
    >
      {children}
    </div>
  );
}

MediaDesc.defaultProps = {
  children: null,
  className: null,
};
