import { useContext } from 'react';

import classNames from 'classnames';

import { MediaContext } from './context';

interface MediaThumbnailProps {
  src: string;
  alt: string;
  className?: string;
}

export function MediaThumbnail({
  src,
  alt,
  className = '',
}: MediaThumbnailProps) {
  const { size } = useContext(MediaContext);

  return (
    <img
      alt={alt}
      className={classNames(
        'object-cover rounded-lg',
        {
          'w-16 h-16': size === 'medium',
          'w-20 h-20': size === 'large',
        },
        className
      )}
      src={src}
    />
  );
}

MediaThumbnail.defaultProps = {
  className: null,
};
