import { ReactNode, useContext } from 'react';

import classNames from 'classnames';

import { MediaContext } from './context';

interface MediaTitleProps {
  children?: ReactNode;
  className?: string;
}

export function MediaTitle({ children, className }: MediaTitleProps) {
  const { size } = useContext(MediaContext);

  return (
    <h3
      className={classNames(
        'text-gray-dark text-left',
        {
          'text-base': size === 'large',
        },
        className
      )}
    >
      {children}
    </h3>
  );
}

MediaTitle.defaultProps = {
  children: null,
  className: null,
};
