import React, { ComponentProps, useContext } from 'react';

import classNames from 'classnames';
import { Dialog } from 'reakit/Dialog';

import { ModalContext } from './context';

export function ModalDialog({
  children,
  className,
  ...props
}: ComponentProps<typeof Dialog>) {
  const state = useContext(ModalContext);
  return (
    <Dialog
      className={classNames(
        'transition-opacity duration-200 opacity-0 data-enter:opacity-100 focus:outline-none mx-auto bg-white rounded-xl p-6 mt-16',
        className
      )}
      {...state}
      {...props}
      tabIndex={0}
    >
      {children}
    </Dialog>
  );
}
